List of Users

Collection of users on the account

GET /api/users

Response

  • username users login name, can be used when creating tasks, opportunities or cases
  • name friendly name for the user
  • currency users preferred currency
  • timezone users preferred timezone
  • loggedIn included and always true for the authenticated user
  • partyId id of the party associated with the user
HTTP/1.1 200 OK
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<users>
  <user>
    <username>a.user</username>
    <currency>GBP</currency>
    <name>Alfred User</name>
    <loggedIn>true</loggedIn>
    <timezone>Europe/London</timezone>
    <partyId>100</partyId>
  </user>
  <user>
    <username>j.joe</username>
    <currency>GBP</currency>
    <name>Jane Doe</name>
    <timezone>Europe/London</timezone>
    <partyId>101</partyId>
  </user>
</users>{
  "users": {
    "user": [
      {
        "username": "a.user",
        "currency": "GBP",
        "name": "Alfred User",
        "loggedIn": "true",
        "timezone": "Europe/London",
        "partyId": "100"
      },
      {
        "username": "j.joe",
        "currency": "GBP",
        "name": "Jane Doe",
        "timezone": "Europe/London",
        "partyId": "101"
      }
    ]
  }
}

Show as JSONShow as XML